Loading...
Searching...
No Matches
DragIcon Class Reference

`#include <gx_main_window.h>`

## Public Member Functions

| DragIcon (PluginUI &plugin, Glib::RefPtr< Gdk::DragContext > context, gx_system::CmdlineOptions &options, int xoff=0)
| ~DragIcon ()

## Private Types

enum | { gradient_length = 60 }

## Private Member Functions

bool | icon_draw (const Cairo::RefPtr< Cairo::Context > &cr)
void | create_drag_icon_pixbuf (const PluginUI &plugin, Glib::RefPtr< Gdk::Visual > rgba, gx_system::CmdlineOptions &options)
bool | window_draw (const Cairo::RefPtr< Cairo::Context > &cr, Gtk::OffscreenWindow &w)

## Private Attributes

Gtk::Window * | window
Glib::RefPtr< Gdk::Pixbuf > | drag_icon_pixbuf

## Detailed Description

Definition at line 250 of file gx_main_window.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
gradient_length |

Definition at line 252 of file gx_main_window.h.

## Constructor & Destructor Documentation

## DragIcon()

DragIcon::DragIcon | ( | PluginUI & | plugin,
|  | Glib::RefPtr< Gdk::DragContext > | context,
|  | gx_system::CmdlineOptions & | options,
|  | int | xoff = 0 )

## ~DragIcon()

DragIcon::~DragIcon | ( |  | ) |

## Member Function Documentation

## create_drag_icon_pixbuf()

void DragIcon::create_drag_icon_pixbuf | ( | const PluginUI & | plugin,
|  | Glib::RefPtr< Gdk::Visual > | rgba,
|  | gx_system::CmdlineOptions & | options )

private

## icon_draw()

bool DragIcon::icon_draw | ( | const Cairo::RefPtr< Cairo::Context > & | cr | ) |

private

## window_draw()

bool DragIcon::window_draw | ( | const Cairo::RefPtr< Cairo::Context > & | cr,
|  | Gtk::OffscreenWindow & | w )

private

## Member Data Documentation

## drag_icon_pixbuf

Glib::RefPtr<Gdk::Pixbuf> DragIcon::drag_icon_pixbuf

private

Definition at line 254 of file gx_main_window.h.

## window

Gtk::Window* DragIcon::window

private

Definition at line 253 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h